Skip to main content

Get Releases

GET 

/api/v1/catalog/releases/project/:projectIdentifier

This service message allows retrieval of releases.

Request

Path Parameters

    projectIdentifier stringrequired

    Project identifier (ID or name)

Header Parameters

    X-Project-Token string

Responses

Schema

  • Array [

  • id stringrequired
    version stringrequired
    projectName stringrequired
    projectId number
    name stringrequired
    releaseNotes stringrequired

    metadata

    object

    autoDeploy boolean

    Enable automatic deployment of this release

    postInstallAction

    object

    Post-installation action configuration

    type stringrequired

    Possible values: [NONE, WEB, EXE]

    Action type: NONE (no action), WEB (open URL), or EXE (run executable)

    url string

    URL to open (required when type is WEB)

    exePath string

    Executable path to run (required when type is EXE)

    installationSize int64

    Installation size in bytes - disk space required after installation (user-specified)

    totalSize int64

    Total size in bytes - automatically calculated as installationSize + artifactsSize

    hideIfNotHealthy boolean

    Hide this release from agents if the health check URL is not healthy

    healthCheckUrl string

    URL to check for health status. Required when hideIfNotHealthy is true.

    healthCheckIntervalSeconds integer

    Interval in seconds between health check requests. Required when healthCheckUrl is set.

    status stringrequired

    Possible values: [draft, in_review, approved, released, archived, error]

    draft: Release is still being prepared. in_review: Submitted for review, not yet approved. approved: Approved but not yet released. released: Actively released and deployable. archived: No longer active. error: Release was previously released but one or more artifacts are missing from storage. Requires a user with edit-released-release permission to resolve.

    createdAt date-timerequired
    updatedAt date-timerequired
    requiredRegulationsCount numberrequired

    Total number of required regulations

    compliantRegulationsCount numberrequired

    Total number of compliant regulations

    latest booleanrequired
    releasedAt date-time
    createdBy string
    updatedBy string
    isImported booleanrequired

    Indicates if this release was imported from another system

    readonly booleanrequired

    Indicates if this release is read-only. A release is read-only when its status is released or error and the current user does not have the edit-released-release permission.

  • ]

Loading...